/* 
 * File:   datatypes.h
 * Author: kike
 *
 * Created on February 7, 2017, 7:21 PM
 */

#ifndef DATATYPES_H
#define	DATATYPES_H

#ifdef	__cplusplus
extern "C" {
#endif

//#define UINT8 uint8_t;
 typedef signed char INT8;
 typedef unsigned char UINT8;
 typedef int int16;
 typedef unsigned int UINT16;
 typedef short long INT24;
 typedef unsigned short long UINT24;
 typedef long INT32;
 typedef unsigned long UINT32;
 
 // pic16 (8bit) doesn't support UINT64.. so this is just to avoid compiler errors
 // .. so it's essentially uint32
 typedef unsigned long UINT64;
 
// typedef false FALSE;
// typedef true TRUE;
 
 typedef enum {FALSE=0, TRUE} BOOL;

 


#ifdef	__cplusplus
}
#endif

#endif	/* DATATYPES_H */

